/***********************************************************
 * Copyright (c) 2005 - Rogue Sheep Incorporated
 * All Rights Reserved
 *
 * Description:
 *
 * JavaScript that causes that stashes the current time that
 * a document was opened onto the scripting label of the document
 *
 *
 *  InDesign : CS 1.0 (v3.x) or CS 2.0 (v4.0)
 *
 ***********************************************************/
 
var date = new Date();

var ticks = date.toString();

// Stashing the time in the script label dirties any document when opened.
// Another possible solution is to store the time in a file on 
// the local system instead

// This does not work in InCopy CS 1.0
try {

	app.activeDocument.label = ticks;

	alert( "InEventScript: Document Open Event.\nThis dialog is a result of the example script 'DocOpenTime.js' which is associated with the custom event 'Open Document (After)'.\n\nThis script works in conjunction with the DocCloseTime.js script to track how long the document has been open.\n\nYou can prevent this dialog from occuring at document open by removing the association in the InEventScript Palette." );
}
catch ( err ) {
	// Silently fail
}
